Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

GetVmInstanceRecoveryPoints

GetVmInstanceRecoveryPoints

GET/zstack/v1/vm-instances/{uuid}/recovery-points

Operation ID

GetVmInstanceRecoveryPoints

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    The UUID of the resource.

Query Parameters

  • startTime
    String

    Optional. The start time to query.

  • endTime
    String

    Optional. The end time to query.

  • scale
    String

    Optional. The unit of time to query the recovery points.

  • limit
    Integer

    Optional. The maximum number of returned records.

  • start
    Integer

    Optional. The first record to query.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • recoveryPoints
    MapRequired

    The list of CDP recovery points.

  • success
    booleanRequired

    Succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.